## libsbml 5.8.0

=== debian/changelog ===
libsbml (5.8.0-2build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:25:55 +0000

libsbml (5.8.0-2) unstable; urgency=low

  * Put *.m files in the Octave path (thanks for the patch to
    Rafael Laboissiere <rafael@laboissiere.net>)
    Closes: #734048

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2014 00:53:15 +0100

libsbml (5.8.0-1) unstable; urgency=low

  [ Ivo Maintz ]
  * update from upstream
  * switched to cmake for configure (following upstream)
  * added a patch to use correct matlab extensions in chrooted environments
  * (re)added doc packages for libsbml5, libsbml5-cil, libsbml5-java,
    libsbml5-python and libsbml5-perl
  * debian/*postinst and debian/*postrm:
    fixed to work on upgrade/downgrade too

  [ Andreas Tille ]
  * debian/control:
     - added libsbml5-dev to libsbml5-cli dependency
       Closes: #715111
     - cme fix dpkg-control
     - canonical Vcs fields
  * debian/patches/format-security.patch:
    Enable compiling with -Werror=format-security
  * debian/libsbml5-perl.install: Do not try to install not existing
    override

 -- Andreas Tille <tille@debian.org>  Mon, 23 Dec 2013 21:32:47 +0100
