=== debian/watch ===
version=3
#opts=dversionmangle=s/\-core-plus-packages// \
http://sf.net/sbml/lib[Ss][Bb][Mm][Ll]-(.*)-core-plus-packages-src\.tar\.gz
