## libsbml 5.10.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,28 @@
 Section: science
 Priority: optional
 Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9.0.0),
-               cmake,
-               doxygen (>= 1.8.0),
-               swig (>= 2),
-               ruby1.8,
-               libxml2-dev,
-               python-dev,
-               ruby1.8-dev,
-               perl,
-               libperl-dev,
-               default-jdk | openjdk-7-jdk,
-               octave-pkg-dev,
-               r-base-dev,
-               r-base-core,
-               python-support,
-               graphviz,
-               zlib1g-dev,
-               libbz2-dev,
-               mono-devel,
-               mono-gmcs,
-               cli-common-dev,
-               mono-runtime | cli-runtime,
-               dpkg-dev (>= 1.16.1~)
+ automake,
+ debhelper (>= 9.0.0),
+ cmake,
+ doxygen (>= 1.8.0),
+ swig (>= 2),
+ libxml2-dev,
+ python-dev,
+ perl,
+ libperl-dev,
+ default-jdk | openjdk-7-jdk | java-gcj-compat-dev | java-sdk,
+ octave-pkg-dev,
+ r-base-dev,
+ r-base-core,
+ graphviz,
+ zlib1g-dev,
+ libbz2-dev,
+ mono-devel,
+ mono-gmcs,
+ cli-common-dev,
+ cli-runtime,
+ dpkg-dev (>= 1.16.1~),
+ texlive-latex-base
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libsbml/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libsbml/trunk/
@@ -97,19 +95,18 @@
  but rather a library you can embed in your own applications.
  This package contains the Python bindings of LibSBML.
 
-
-Package: libsbml5-ruby1.8
-Architecture: any
-Section: ruby
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Provides: libsbml-ruby
-Description: System Biology Markup Language library - Ruby binding
- LibSBML is a library designed to help you read, write, manipulate,
- translate, and validate SBML files and data streams. It is not an
- application itself (though it does come with many example programs),
- but rather a library you can embed in your own applications.
- This package contains the Ruby binding of LibSBML.
+Package: libsbml5-matlab
+Section: contrib/math
+Provides: libsbml-matlab
+Conflicts: libsbml4-matlab
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: System Biology Markup Language library - Matlab bindings
+ LibSBML is a library designed to help you read, write, manipulate,
+ translate, and validate SBML files and data streams. It is not an
+ application itself (though it does come with many example programs),
+ but rather a library you can embed in your own applications.
+ This package contains the Matlab bindings of LibSBML.
 
 Package: libsbml5-java
 Architecture: any
